/*
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "experimenter/algorithm_spec.h"

using namespace Tk;
using namespace Experimenter;

AlgorithmSpec:: AlgorithmSpec()
{
  append_text("1 1");
  append_text("1 1 1");
  append_text("1 2");
  append_text("1 3 4");
  append_text("1 4 3");
  append_text("21 22");
  append_text("1 10 10");
  append_text("1 42 42");
  append_text("1 170 170");
  append_text("1 682 682");
  append_text("1 2730 2730");
  append_text("1 10992 10992");
  
  // FIXME: bad things happen with numbers this high
  // append_text("1 43690 43690");
  
  get_entry()->set_text("1 1");
}

String
AlgorithmSpec:: get_algorithm_spec() const
{
  return get_entry()->get_text();
}
